Subject: Morels have arrived at last

From: [email-masked] (Ken Sanderson)
Date: 26 May 1995 23:28:49 GMT

I know that most people will laugh, but just in case anyone wants to know 
morels have just begun popping up, at Fort McMurray, Alberta, Canada.  
For those that don't know Alberta well, Ft McMurray is four hours north 
of Edmonton.

Ken Sanderson